JDBC driver for Apache Kafka - via Lenses
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
gradle/wrapper
src
.gitignore
.travis.yml
LICENSE
LSQL_JDBC.jpg
README.md
build.gradle
gradle.properties
gradlew
gradlew.bat
settings.gradle

README.md

Build Status

LSQL JDBC Library

alt text

A JDBC 4.0 compliant driver for Lenses, suitable for any application that uses the JDBC interface, to communicate with Apache Kafka via the Lenses platform.

Users of this library can:

  • Select from topics
  • Insert into topics
  • Use prepared statements
  • Use batched inserts
  • Fetch metadata around topics
  • Fetch metadata around messages

Documentation

Documentation can be found here.

Download

Download from Maven Central.

Requirements

  1. java 1.8+
  2. gradle 3.5+

Building

Requires grade 3.5+

To build:

gradle compileKotlin

For a fatJar:

gradle shadowJar

Testing

For testing it requires the Lenses Box to be running locally on http://localhost:3030

gradle clean test

License

The project is licensed under the Apache 2 license.